2006-08-31 Mikhail Khodjaiants
	Bug 155816: NPE thrown by info threads
	Applied patch from James Blackburn (jamesblackburn+eclipse@gmail.com).
	* Target.java

2006-08-22 Mikhail Khodjaiants
	Bug 145758: Unable to use the default command factories.
	* MANIFEST.MF

2006-08-22 Mikhail Khodjaiants
	Bug 146725: Erroneous error message during GDB startup.
	* CygwinGDBCDIDebugger2.java
	* GDBCDIDebugger2.java
	* CommandFactory.java
	+ MIGDBSetNewConsole.java
	* StandardLinuxCommandFactory.java

2006-08-22 Mikhail Khodjaiants
	Bug 153894: Variable View: Can not format 'short int' to Hex.
	Applied patch from James Blackburn (jamesblackburn+eclipse@gmail.com).
	* SourceManager.java

2006-05-25 Mikhail Khodjaiants
	Bug 137970: No default debugger in C++ managed project.
	* MIPlugin.java

2006-05-25 Mikhail Khodjaiants
	Bug 109733: Request to make certain methods as public (MISession and MIInferior).
	* MIInferior.java
	* MISession.java

2006-05-25 Mikhail Khodjaiants
	Bug 109733: Request to make certain methods as public (null check for setPrompt).
	* RxThread.java

2006-04-21 Mikhail Khodjaiants
	Don't create pty when using gdbserver.
	* AbstractGDBCDIDebugger.java
	* GDBServerCDIDebugger2.java

2006-04-21 Mikhail Khodjaiants
	Close the pty if the session creation failed.
	* MIPlugin.java
 
2006-04-18 Mikhail Khodjaiants
	Duplicate message key.
	* MIPluginResources.properties
	* AbstractGDBCDIDebugger.java

2006-04-17 Mikhail Khodjaiants
	Breakpoint can be temporary and hardware at the same time.
	* MIBreakInsert.java

2006-04-16 Mikhail Khodjaiants
	Bug 113107: Make trace logs more readily available.
	* AbstractGDBCDIDebugger.java
	* IMILaunchConfigurationConstants.java

2006-04-13 Mikhail Khodjaiants
	Bug 113107: Make trace logs more readily available.
	Core support for the "Verbose Mode" action.
	* Target.java
	* MISession.java
	* RxThread.java
	* AbstractGDBCDIDebugger.java
	+ GDBProcess.java

2006-04-12 Mikhail Khodjaiants
	Write log messages to the system out instead of err.
	* MIPlugin.java

2006-04-12 Mikhail Khodjaiants
	Bug 136206: Suppress Resumed events when processing solib events.
	* EventManager.java
	* RxThread.java
	* Command.java
	* MIEvent.java

2006-04-12 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	Support for deferred breakpoints.
	* BreakpointManager.java
	* EventManager.java
	* SharedLibraryManager.java
	* Target.java
	* GDBCDIDebugger.java
	* GDBCDIDebugger2.java
	* GDBDebugger.java

2006-04-10 Mikhail Khodjaiants
	Bug 119740: allow to specify only a subset of shared objects that we want symbols to be loaded for.
	* SharedLibraryManager.java
	* GDBCDIDebugger2.java
	* IMILaunchConfigurationConstants.java
	* MICoreUtils.java

2006-04-10 Mikhail Khodjaiants
	"set solib-search-path" and "show solib-search-path" are not supported on Windows.
	* StandardWinCommandFactory.java

2006-04-03 Mikhail Khodjaiants
	Bug 134617: The "stop on shared library event" option doesn't work.
	* GDBCDIDebugger2.java

2006-03-31 Mikhail Khodjaiants
	Corrected position of the "try-catch-finally" clause in createSession.
	* AbstractGDBCDIDebugger.java

2006-03-31 Mikhail Khodjaiants
	Throw OperationCanceledException instead of IOException when getGDBprocess is canceled.
	* MIProcessAdapter.java

2006-03-27 Mikhail Khodjaiants
	Cleaned up the "Session" class constructors.
	* Session.java
 
2006-03-27 Mikhail Khodjaiants
	Added the "getSessionConfiguration" method to allow clients to provide their own session configurations.
	* AbstractGDBCDIDebugger.java

2006-03-23 Mikhail Khodjaiants
	Pass ILaunch instead of ILaunchConfiguration.
	Added "getGDBPath" method.
	* AbstractGDBCDIDebugger.java
	* CygwinGDBCDIDebugger2.java
	* GDBCDIDebugger2.java
	* GDBServerCDIDebugger2.java

2006-03-23 Mikhail Khodjaiants
	Added default attribute value for ATTR_DEBUG_NAME.
	* IMILaunchConfigurationConstants.java

2006-03-21 Mikhail Khodjaiants
	Missing error message.
	* MIPluginResources.properties

2006-03-20 Mikhail Khodjaiants
	Made "getCommandFile" and "getWorkingDirectory" methods protected.
	* GDBCDIDebugger2.java
	
2006-03-16 Mikhail Khodjaiants
	ILaunch is added to the arguments list of "doStartSession".
	* AbstractGDBCDIDebugger.java
	* CygwinGDBCDIDebugger2.java
	* GDBCDIDebugger2.java
 
2006-03-13 Mikhail Khodjaiants
	Added default implementation for "getExtraArguments". No need to force 
	clients to implement this method.
	* AbstractGDBCDIDebugger.java

2006-02-09 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	Registered windows and linux specific command factories for gdbserver.
	* plugin.properties
	* plugin.xml

2006-02-09 Mikhail Khodjaiants
	The inferior is in the suspended state when connecting to gsbserver.
	* GDBServerCDIDebugger2.java

2006-02-08 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	Added standard command factory for gdb server.
	* plugin.xml
	* plugin.properties
	
2006-02-07 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	+ mi/org/eclipse/cdt/debug/mi/core/command/factories/linux (package)
	+ LinuxCLIInfoSharedLibrary.java
	+ LinuxCLIInfoSharedLibraryInfo.java
	+ StandardLinuxCommandFactory.java
	* plugin.xml

2006-02-07 Mikhail Khodjaiants
	Bug 126789: Use new "fullname" attribute of stack frame description.
	* MIStackListFrames.java
	* MIFrame.java

2006-02-06 Mikhail Khodjaiants
	Suppress "set auto-solib" - returns error on Windows.
	* StandardWinCommandFactory.java

2006-02-06 Mikhail Khodjaiants
	Use getters to access members of "MICommand".
	* MIBreakCondition.java
	* MICommand.java
	* MIDataDisassemble.java
	* MIEnvironmentCD.java
	* MIGDBSetEnvironment.java

2006-02-06 Mikhail Khodjaiants
	Bug 114793: Add an extension point to contribute command factories.
	* MANIFEST.MF
	* CommandFactory.java
	+ mi/org/eclipse/cdt/debug/mi/core/command/factories (package)
	+ CommandFactoriesMessages.java
	+ CommandFactoriesMessages.properties
	+ CommandFactoryDescriptor.java
	+ CommandFactoryManager.java
	+ StandardCommandFactory.java
	+ mi/org/eclipse/cdt/debug/mi/core/command/factories/win32 (package)
	+ CygwinCommandFactory.java
	+ CygwinMIEnvironmentCD.java
	+ CygwinMIEnvironmentDirectory.java
	+ StandardWinCommandFactory.java
	+ WinCLIInfoSharedLibrary.java
	+ WinCLIInfoSharedLibraryInfo.java
	+ WinMIEnvironmentCD.java
	* CLIInfoSharedLibraryInfo.java
	+ commandFactories.exsd
	- CygwinCommandFactory.java
	* CygwinGDBCDIDebugger.java
	* CygwinGDBCDIDebugger2.java
	* CygwinGDBDebugger.java
	- CygwinMIEnvironmentCD.java
	- CygwinMIEnvironmentDirectory.java
	* GDBCDIDebugger2.java
	* IMILaunchConfigurationConstants.java
	* MIPlugin.java
	* plugin.xml
	* plugin.properties

2006-01-31 Mikhail Khodjaiants
	Bug 124966: GDBTypeParser.parse(String) parses incorrectly.
	Applied patch from Matthias Spycher (matthias@coware.com).
	* GDBTypeParser.java

2006-01-27 Mikhail Khodjaiants
	Bug 107202: slow debug launch with external sources.
	Use "-p" option when passing a large number of directories to "cygpath".
	* CygwinMIEnvironmentDirectory.java

2006-01-25 Mikhail Khodjaiants
	Reversing changes made to fix bug 107571. The fix for bug 119683 covers this problem too.
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java

2006-01-23 Mikhail Khodjaiants
	Bug 119683: long messages during launch cause gdb to timeout, launch to fail.
	* plugin.xml
	* plugin.properties
	* MISession.java
	+ AbstractGDBCDIDebugger.java
	+ CygwinGDBCDIDebugger2.java
	+ GDBCDIDebugger2.java
	+ GDBServerCDIDebugger2.java
	* MIPlugin.java
	* MIPluginResources.properties

2006-01-04 Mikhail Khodjaiants
	Bug 118900: Display libraries loaded in post-mortem debug. 
	Applied with modifications the patch from Joanne Woo (jwoo.mvista.com).
	* GDBCDIDebugger.java

2005-12-27 Mikhail Khodjaiants
	Cleanup.
	* BreakpointManager.java
	* RegisterManager.java

2005-12-27 Mikhail Khodjaiants
	Bug 109526: Support Eclipse-LazyStart and deprecate Eclipse-AutoStart.
	* MANIFEST.MF

2005-12-20 Mikhail Khodjaiants
	Bug 120390: Avoiding .gdbinit
	* GDBCDIDebugger.java
	* GDBDebugger.java
	* GDBServerCDIDebugger.java
	* GDBServerDebugger.java
	* IMILaunchConfigurationConstants.java
	* MIPlugin.java

2005-11-29 Mikhail Khodjaiants
	Partial fix for bug 118114: Cannot view typedef'ed array in debugger.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java
	
2005-11-29 Mikhail Khodjaiants
	Bug 100298: [Memory View] Changing variable's value from variables view or memory view doesn't sync to each other.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/MemoryBlock.java

2005-11-02 Mikhail Khodjaiants
	Bug 113364: Wrong values displaying an array of structures.
	Previous fix didn't work for classes with access specifiers.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java

2005-10-21 Mikhail Khodjaiants
	Bug 113364: Wrong values displaying an array of structures.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java

2005-10-18 Mikhail Khodjaiants
	Bug 106632: Invalid detail value for arrays with dimension greater than 100.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java

2005-10-18 Mikhail Khodjaiants
	Bug 111568: Fix for corrupt stack messages not working.
	Applied patch from Timesys.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java

2005-09-01 Mikhail Khodjaiants
	Bug 108636: mi level selection option should be moved to the gdb page.
	* src/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBServerCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/IMILaunchConfigurationConstants.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2005-09-01 Mikhail Khodjaiants
	Bug 108424: Debugger stops on removed breakpoints.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2005-08-31 Alain Magloire
	Improve performance by caching the type result on the frame
	and on the RegisterManager.  The patch is originally from Chris Wiebe
	with modifications.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/StackFrame.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java

2005-08-31 Alain Magloire
	Fix Pr 107571:  Do not create the Console pipe is we
	have no consumer.
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java

2005-08-28 Alain Magloire
	Speed improvement after exchanging with the HP folks.
	HP has apps having hundred of local variable running on machine
	with hundred of registers.  The latency of the command "-var-create"
	is too taxing.  So we take the approach of not waiting for post command
	MISession.postCommand(MIVarCreate, -1) and synchronize when we need the
	mi varObj.

	The next step will be to cache the types, since sending ptype/whatis
	is also time consuming.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ExpressionManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Argument.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/GlobalVariable.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/LocalVariable.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/ThreadStorage.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java
	* mi/org/eclipse/cdt/debug/mi/core/RxThread.java

2005-08-26 Mikhail Khodjaiants
	Bug 108130: wrong type shown on breakpoint view for R watchpoint created from gdb console.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2005-08-25 Mikhail Khodjaiants
	Bug 66446: Use the debugger path as a debugger process label.
	* src/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java

2005-07-28 Alain Magloire
	Fix Pr 104421: The register did not update.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/StackFrame.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Value.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/type/ArrayValue.java

2005-07-26 Alain Magloire
	Fix for 92446
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Value.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java

2005-07-21 Alain Magloire
	Fix for PR 103193
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/LocationBreakpoint.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2005-07-18 Alain Magloire
	GDB has now four different version of MI, so it has become
	important to give the user the choice of the version.
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java
	* mi/org/eclipse/cdt/debug/mi/core/RxThread.java
	* mi/org/eclipse/cdt/debug/mi/core/command/CommandFactory.java
	* mi/org/eclipse/cdt/debug/mi/core/command/MICommand.java
	+ mi/org/eclipse/cdt/debug/mi/core/command/MIVersion.java
	* src/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBServerCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java
	* src/org/eclipse/cdt/debug/mi/core/MIProcessAdapter.java

2005-07-10 Alain Magloire
	Fix for PR 100992: Setting breakpoints for methods
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2005-07-07 Alain Magloire
	Try to suspend the target before disconnecting.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java

2005-06-29 Alain Magloire
	Fix PR 100602
	* mi/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2005-06-28 Alain Magloire
	Fix PR 94612: addr =<PENDING>
	* mi/org/eclipse/cdt/debug/mi/core/MIFormat.java

2005-06-27 Alain Magloire
	New command from newer version of gdb "set breakpoint pending"
	better handling of the breakpoint while the target is running.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* mi/org/eclipse/cdt/debug/mi/core/command/CommandFactory.java
	+ mi/org/eclipse/cdt/debug/mi/core/ccommand/MIGDBSetBreakpoinPending.java

2005-06-27 Alain Magloire
	Bug when parsing "int *&" corrected.
	Change in ICDIReferenceValue.
	Use the type in the response of the var-create instead of reissuing -var-info-type

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/CdiResource.properties
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SignalManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Value.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java
	* cdi;/org/eclipse/cdt/debug/mi/core/cdi/model/CharValue.java
	* cdi;/org/eclipse/cdt/debug/mi/core/cdi/model/IntergralValue.java
	* cdi;/org/eclipse/cdt/debug/mi/core/cdi/model/PointerValue.java
	* cdi;/org/eclipse/cdt/debug/mi/core/cdi/model/ReferenceValue.java
	* mi/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java
	* mi/org/eclipse/cdt/debug/mi/core/MIInferior.java

2005-06-27 Alain Magloire
	Base on a patch from Chris Wiebe.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java

2005-06-27 Alain Magloire
	Fix PR 100069
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Location.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Locator.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/StackFrame.java

2005-06-27 Alain Magloire
	Refactor the class extending CLICommand to CLIXXXX for more clarity.
	Pass the MIVersion in all of the class extending MICommand, this is
	necessary some command option will not be accepted depending on the version.
	Too much file to enumerate.
	* ...

2005-06-25 Alain Magloire
	We should consider a "^done" like a suspended only for CLICommands, for example:
	(gdb) run
	^done
	(gdb)
	* mi/org/eclipse/cdt/debug/mi/core/RxThread.java

2005-06-06 Alain Magloire
	Fix PR 98182
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/LocationBreakpoint.java

2005-05-25 Alain Magloire
	Fix PR 95705
	* mi/org/eclipse/cdt/debug/mi/core/output/MIInfoSharedLibraryInfo.java

2005-05-16 Alain Magloire
	Fix PR 91975
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2005-05-12 Alain Magloire
	Fix PR 94841
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java

2005-04-28 Alain Magloire
	Added command -gdb-show endian
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* mi/org/eclipse/cdt/debug/mi/core/command/CommandFactory.java
	+ mi/org/eclipse/cdt/debug/mi/core/command/MIGDBShowEndian.java
	- mi/org/eclipse/cdt/debug/mi/core/command/MIShowEndian.java
	+ mi/org/eclipse/cdt/debug/mi/core/output/MIGDBShowEndianInfo.java
	- mi/org/eclipse/cdt/debug/mi/core/output/MIGDBShowEndian.java

2005-04-27 Alain Magloire
	Changes in the CDI interface
	* cdi/org/eclipse/cdt/debug/core/cdi/model/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/Session.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* mi/org/eclipse/cdt/debug/mi/core/command/CommandFactory.java
	* mi/org/eclipse/cdt/debug/mi/core/command/MIEnvrionmentDirectory.java
	* src/org/eclipse/cdt/debug/mi/core/CygwinCommandfactory.java
	* src/org/eclipse/cdt/debug/mi/core/CygwinMIEnvironmentDirectory.java

2005-04-25 Alain Magloire
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManger.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/CdiResources.properties
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Location.java
	+ cdi/org/eclipse/cdt/debug/mi/core/cdi/Locator.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/MI2CDIException.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SharedLibraryManager.java

	+ cdi/org/eclipse/cdt/debug/mi/core/cdi/model/AddressBreakpoint.java
	+ cdi/org/eclipse/cdt/debug/mi/core/cdi/model/FunctionBreakpoint.java
	+ cdi/org/eclipse/cdt/debug/mi/core/cdi/model/LineBreakpoint.java
	+ cdi/org/eclipse/cdt/debug/mi/core/cdi/model/LocationBreakpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Breakpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Exceptionpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/StackFrame.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Threa.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Watchpoint.java

2005-04-05 Alain Magloire
	PR 90090
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/event/ExitedEvent.java

2005-03-24 Alain Magloire
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/MemoryManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Memoryblock.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Target.java
	* mi/org/eclipse/cdt/debug/mi/core/command/MIShowEndian.java
	* mi/org/eclipse/cdt/debug/mi/core/output/MIShowEndianInfo.java

2005-03-23 Alain Magloire
	Changes in the CDI ICDIMemoryBlock && ICDIMemoryBlockManagement API.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/MemoryManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/MemoryBlock.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	
2005-03-09 Mikhail Khodjaiants
	Fix for bug 87546: Obsolete debug MI settings in Preference need to be removed.
	* RegisterManager.java
	* IMIConstants.java
	* MIPreferenceInitializer.java

2005-03-07 Alain Magloire
	Fix for 87230: base on  Jayaprakash ideas/patch
	On HP statck-list-frames answer contain not kosher strings
	* mi/org/eclipse/cdt/debug/mi/core/output/MIParser.java

2005-02-01 Alain Magloire
	Part of Fix for PR 84165
	We check in the expression is a number and
	add a "*" for address watchpoint
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2005-01-20 Mikhail Khodjaiants
	Fix for bug 83355: The disable/enable breakpoints durning debugging acts weird.
	* cdi\org\eclipse\cdt\debug\mi\core\cdi\model\Breakpoint.java
	* cdi\org\eclipse\cdt\debug\mi\core\cdi\BreakpointManager.java

2005-01-13 Alain Magloire
	PR 82764 Fix the the type parsing.
	* mi/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2005-01-10 Mikhail Khodjaiants
	PR 82601 changes to the memory block interface
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/ICDIMemoryBlock.java
	* mi/org/eclipse/cdt/debug/mi/core/output/MIMemory.java

2005-01-10 Alain Magloire
	Fix for PR 82506
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java
	* mi/org/eclipse/cdt/debug/mi/core/output/MIParser.java

2004-12-20 Alain Magloire
	Fix for PR 81019 for MacOsX
	* mi/org/eclipse/cdt/debug/mi/core/output/MIVarListChildrenInfo.java

2004-11-26 Alain Magloire
	Make the deferred breakpoint on by default.
	* cdi/org/eclipose/cdt/debug/mi/core/cdi/SharedLibraryManager.java

2004-11-26 Alain Magloire
	Final fix for PR 79583
	* cdi/org/eclipose/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipose/cdt/debug/mi/core/cdi/SharedLibraryManager.java

2004-11-26 Alain Magloire
	Final fix for PR 79452
	* cdi/org/eclipose/cdt/debug/mi/core/cdi/BreapointManager.java

2004-11-26 Alain Magloire
	Fix for PR 79582
	* src/org/eclipse/cdt/debug/mi/core/CygwinGDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBServerCDIDebugger.java

2004-11-24 Alain Magloire
	Make the terminate() more responsive when gdb is shuting down.
	See long discussion part of the 77435 fixes and 40087.
	
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ExpressionManager.java
	* mi/org/eclipse/cdt/debug/core/MIInferior.java

2004-11-23 Alain Magloire
	Tentative fix for 77435
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java

2004-11-19 Alain Magloire
	Protect agains possible NPE.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java

2004-11-19 Alain Magloire
	Use the qualified name when creating a register.
	Destroy the corresponding gdb variable on register's disposal.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java
	
	Added the "dispose" method.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java

2004-11-19 Alain Magloire
	RegisterManager.findRegister() was not implemented correctly
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/RegisterManager.java

2004-11-19 Alain Magloire
	No need for stackframe when creating the Type class,
	but rather use the target in the constructor.

2004-11-19 Alain Magloire
	Fix for 78816
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-11-19 Alain Magloire

	Clear the confusion about sublist of stackframes.
	PR 78611

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java

2004-11-17 David Inglis
	
	ICDIDebugger change to use IBinaryObject instead of IBnaryExecutable
	
	* stc/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java
	
2004-11-17 Alain Magloire
	Fix for 78816
	* mi/org/eclipse/cdt/debug/mi/core/MIInferior.java

2004-11-16 Alain Magloire
	Optimize things by providing a new method
	ICDIRegisterGroup.hasRegisters();
	* cdi/org/eclipse/cdt/debug/core/cdi/model/RegisterGroup.java

2004-11-16 Alain Magloire
	Remove some warnings and use the new Launch key
	to decide whether or not to use pseudo tty.
	* mi/org/eclipse/cdt/debug/mi/core/TxThread.java
	* mi/org/eclipse/cdt/debug/mi/core/command/RawCommand.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-11-16 Alain Magloire
	NPE when watchpoints are set in the gdb console.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2004-11-16 Alain Magloire
	Do not check for isEnable() when changing condition.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/mode/Breakpoint.java

2004-11-12 Mikhail Khodjaiants
	Implemented the "equals' method of the "Condition" class.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Condition.java

2004-11-12 Alain Magloire
	Fix for PR 78488
	* mi/org/eclipse/cdt/debug/mi/core/command/MICommand.java

2004-11-11 Alain Magloire
	Fix for PR 75000, from PalmSource
	* cdi/org/eclipse/cdt/debug/core/cdi/model/Variable.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/VariableDescriptor.java
	* mi/org/eclipse/cdt/debug/mi/core/command/MIVarInfoType.java

2004-11-10 Alain Magloire
	Fix for PR 51113 and PR 66268
	It allow more flexibility in the GDB console, for example
	when gdb require interactive questions.

	* mi/org/eclipse/cdt/debug/mi/core/CLIProcessor.java
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java
	* mi/org/eclipse/cdt/debug/mi/core/RxThread.java
	* mi/org/eclipse/cdt/debug/mi/core/SessionProcess.java
	* mi/org/eclipse/cdt/debug/mi/core/TxThread.java
	* mi/org/eclipse/cdt/debug/core/command/MIGDBShowPrompt.java
	* mi/org/eclipse/cdt/debug/core/command/RawCommand.java
	* mi/org/eclipse/cdt/debug/core/output/MIOutput.java
	* mi/org/eclipse/cdt/debug/core/output/MIParser.java

2004-11-09 Alain Magloire
	Throw not implemented exception for exception breakpoint

2004-11-09 Alain Magloire
	Reverting the changes below, for PR 74496. After exchanging with
	the Palm folks, it was not fixing the problem.
	This PR can not be fix for CDT-2.1 moving
	it to 3.0 where we should have enough framework	for a better fix.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java

2004-11-08 Alain Magloire
	Fix for 74496 ; we should destroy the global
	variables if they are in the address range of a
	shared library being unloaded.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java

2004-11-08 Mikhail Khodjaiants
	Added support for refresh preferences and properties.
	* IMIConstants.java
	* MIPlugin.java
	* MIPreferenceInitializer.java: new
	* RegisterManager.java
	* SharedLibraryManager.java
	* plugin.xml

2004-11-08 Alain Magloire
	Implement new Interface ICDIFunctionFinished.
	It returns the return value of the function.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/FunctionFinished.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/event/SuspendedEvent.java
	* mi/org/eclipse/cdt/debug/mi/core/event/MIFuncitonFinishedEvent.java

2004-11-07 Alain Magloire
	Support for MIInterpreterExec

2004-11-03 Alain Magloire
	Partial fix for 77435
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableDescriptor.java

2004-11-02 Alain Magloire
	Refactor ICDIConfiguratio --> ICDISessionConfiguration and ICDITargetConfiguration
	* cdi/org/eclipse/cdt/debug/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/core/cdi/SessionConfiguration.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/TargetConfiguration.java

2004-11-02 Alain Magloire
	Tentative fix for PR 77435
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java

2004-10-31 Alain Magloire
	Tentative fix for PR 74496

2004-10-31 Alain Magloire
	Refactor ICDIVariableObject --> ICDIVariableDescriptor
	Refactor ICDIArgumentObject --> ICDIArgumentDescriptor
	Refactor ICDIRegisterObject --> ICDIRegisterDescriptor
	Addition ICDIThreadStorageDescriptor, ICDIThreadStorage
	Addition ICDILocalVariableDescriptor, ICDILocalVariable
	Addition ICDIGlobalVariableDescriptor, ICDIGlovalVariable

	Adjust the classes to the changes.

2004-10-29 Alain Magloire
	Remove of ICDISharedLibraryManager
	* cdi/org/eclipse/cdt/debug/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/core/cdi/SharedLibraryManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/SharedLibraryManagement.java

	* src/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBServerCDIDebugger.java

2004-10-28 Alain Magloire
	Add ICDIValue.getType() and ICDIExpression.geType() new methods.

2004-10-26 Alain Magloire
	Remove ICDIMemoryManager in CDI
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/MemoryManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/MemoryBlock.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/event/CreatedEvent.java

2004-10-26 Alain Magloire
	Remove of ICDISourceManager in CDI
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java

	* mi/org/eclipse/cdt/debug/mi/core/cdi/command/MIDataDsassemble.java
	
2004-10-26 Alain Magloire
	Remove of ICDISignalManager in CDI
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SignalManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Signal.java

2004-10-25 Alain Magloire
	Remove of ICDExpressionManager in CDI
	ICDIExpression changes in the interface.
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/EventManager.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/ExpressionManager.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/Session.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/event/ChangedEvent.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/event/DestroyedEvent.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/model/Expression.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/model/Target.java
	* cdi/rg/eclipse/cdt/debug/mo/core/cdi/model/Variable.java
	
2004-10-24 Alain Magloire
	Changes in ICDITarget.evaluateExpressionToString()
	* org/eclipse/cdt/debug/mi/core/cdi/model/Target.java

2004-10-20 Alain Magloire
	Use the new ICDIDebugger interface

	* mi/org/eclipse/cdt/debug/mi/core/MIInferior.java
	* mi/org/eclipse/cdt/debug/mi/core/MISession.java
	* mi/org/eclipse/cdt/debug/mi/core/SessionProcess.java
	* src/org/eclipse/cdt/debug/mi/core/CygwinGDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBCDIDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBServerDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java
	* src/org/eclipse/cdt/debug/mi/core/MIProcessAdapter.java
	* plugin.xml

2004-10-20 David Inglis
	Fixed terminated delay for corefile
	* mi/org/eclipse/cdt/debug/mi/core/MIInferior.java
	
2004-10-19 Alain Magloire
	Fix Core Launching
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* mi/org/eclipse/cdt/debug/mi/core/CoreProcess.java
	* mi/org/eclipse/cdt/debug/mi/core/MIInferior.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-10-18 Alain Magloire
	Adjust to changes in CDI
	* src/org/eclipse/cdt/debug/mi/core/cdi/model/RuntimeOptions.java
	* src/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* src/org/eclipse/cdt/debug/mi/core/cdi/Session.java

2004-10-17 Alain Magloire
	Remove deprecated method in CDI adjust the implementation.

2004-10-15 Alain Magloire

	The way we do breakpoints is changing. gdb does not have
	-break-thread-id command that would allow to change if a breakpoint
	is associated with a particular thread(the same way as in
	-break-condition, and -break-after). So to do thread breakpoint
	we associate 1 Eclipse breakpoint with n GDB breakpoints:
	1:n

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Condition.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Breakpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Exceptionpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Watchpoint.java

2004-10-04 Alain Magloire

	IllegalMonitorException fix.
	mi/org/eclipse/cdt/debug/mi/core/MIInferior.java
	src/org/eclipse/cdt/debug/mi/core/MIProcessAdapter.java

2004-09-22 Alain Magloire
	Makes the mi/ source folder independant of the cdt.core
	so we can make it a library.
	To many files to enumerate

2004-09-17 Alain Magloire
	Support for 64 bits application
	PR 74056 74058. Pathc from Artyom Kuanbekov
	To much files to enumerate.

2004-09-15 Alain Magloire

	Chang Type to take a VariableObject.

2004-09-15 Alain Magloire

	The correct thread was not set.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ExpressionManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/VariableManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java
	
2004-09-12 Alain Magloire
	Since MISession is attach to the Target, the
	way we fire termination events must change also.
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ProcessManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* src/org/eclipse/cdt/debug/mi/core/MISession.java

2004-09-09 Alain Magloire
	Introduction of new classes in the CDI interface
		ICDIExecuteStep
		ICDIExecuteStepReturn
		ICDIExecuteResume
		ICDISuspend
		ICDIThreadGroup
	The code is adjust to the new demands.

2004-09-07 Alain Magloire

	Remove ICDIBreakpointManager class
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointHit.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Session.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/WatchpointScope.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/WatchpointTrigger.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Breakpoint.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java

2004-09-06 Alain Magloire

	The changes is move the MISession as part
	of Target.  The rationale; we want to have
	        Session
	   ---------------
	   |             |
	  Target(gdb)   Target(gdb)
	To be able to do this we need to untie the MISession
	from Session.

	Also we are moving toward retiring the ICDIXXXXManager
	and move the methods in the the proper methods.

2004-09-01 Alain Magloire

	Fix for 72974
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java

2004-08-14 Alain Magloire

	Fix for 71992.
	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2004-08-05 Alain Magloire

	Tentative Fix for PR 69991
	* src/org/eclipse/cdt/debug/mi/core/RxThread.java

2004-07-22 Alain Magloire

	Fix for PR 70688
	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2004-07-12 Alain Magloire

	Remove some compiler warnings.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java

	* mi/org/eclipse/cdt/debug/mi/core/command/CygwinMIEnvirnmentDirectory.java
	* src/org/eclipse/cdt/debug/mi/core/CygwinGDBDebugger.java
	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-07-09 Alain Magloire

	Patch from gwatson to deal with Mac
	version of gdb, there gdb as a different
	syntax but still valid.

	* mi/org/eclipse/cdt/debug/mi/core/output/MIArg.java

2004-07-09 Alain Magloire

	Patch from Stefan Bylund for PR 69711
	Added support for thread name.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Target.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java
	* mi/org/eclipse/cdt/debug/mi/core/output/MIInfoThreadsInfo.java

2004-07-02 Mikhail Khodjaiants

	Fix for bug 68934: Debug into dll doesn't work.
	The "solib-search-path" and "stop-on-solib-events" options are not supported by gdb on CygWin.
	* src/org/eclipse/cdt/debug/mi/core/CygwinGDBDebugger.java

2004-07-02 Alain Magloire

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ProcessManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/ThreadManager.java

2004-06-29 Alain Magloire

	When selecting threads gdb can reset the current
	stack frame on us.  We should be aware of it and reset.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/mode/Target.java

2004-06-24 Alain Magloire

	Fix 68226
	* cdi/org/eclipse/cdt/debug/mic/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mic/core/cdi/Configuration.java
	* cdi/org/eclipse/cdt/debug/mic/core/cdi/SoourceManager.java
	
2004-06-22 Alain Magloire

	Fix PR 68176
	* mi/org/eclipse/cdt/debug/mi/core/command/CygwinMIEnvironmentCD.java

2004-06-09 Alain Magloire
	Fix for PR 66338
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/BreakpointManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Condition.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Breakpoint.java

2004-06-09 Alain Magloire

	Keep the breakpoint disable when doing
	deffered breakpoint installation.

	* cdt/org/eclpse/cdt/debug/mi/core/cdi/EventManager.java

2004-06-08 Alain Magloire

	Fix for PR 65077

	* mi/org/eclipse/cdt/debug/mi/core/command/CygwinCommandFactory.java
	* mi/org/eclipse/cdt/debug/mi/core/command/CygwinMIEnvironmentCD.jav
	* src/org/eclipse/cdt/debug/mi/core/CygwinGDBDebugger.java

2004-06-02 Mikhail Khodjaiants

	Moved externalized strings to the right property file.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/CdiResources.properties
	* src/org/eclipse/cdt/debug/mi/core/MIPluginResources.properties

2004-0602 Alain Magloire

	Overload getFullName() for registerObject

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/mode/RegisterObject.java

2004-05-28 Alain Magloire

	GDB has special "types"
	int8_t int16_t etc ... parse them also.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Register.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/RegisterObject.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/type/ArrayValue.java

2004-05-28 Alain Magloire

	QuickFix for PR 58249

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java
2004-05-28 Alain Magloire

	Error in looking for the CIdentifier.
	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2004-05-28 Alain Magloire

	Fix to PR 60020.
	GDB returns the children when a pointer
	points to a structure.
	Also ignore the keyword "const" when parsing.

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/SourceManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/Variable.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/model/VariableObject.java
	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2004-05-18 Alain Magloire

	Remove dependencies on the compatibility plugin
	and move to be more Eclipse-3.0 compliant.

2004-05-07 Alain Magloire
	PR 57127. Pass the stream verbatim
	even if it has spaces.
	This what gdb expects.

	* mi/org/eclipse/cdt/debug/mi/core/command/MIEnvironmentCD.java

2004-05-07 Alain Magloire

	Patch from Keith Rolling(Palm Source).
	PR 60664
	* src/org/eclipse/cdt/debug/mi/core/MIInferior.java

2004-04-01 Alain Magloire

	GDBServer configuration should be "*" not "native"

	* plugin.xml

2004-03-23 Alain Magloire

	Fix for bug 55766: The Shared Libraries view displays the wrong icon if the "Load Symbols" action fails.

	* src/org/eclipse/cdt/debug/mi/core/cdi/SharedLibraryManager.java
	
2004-03-17 Alain Magloire

	Changes pass the array of events instead
	of one at a time

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/EventManager.java
	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Manager.java

2004-03-16 Tanya Wolff

	Marked strings in src as non-translatable
	* src/GDBServerDebugger.java
	* src/GDBTypeParser.java
	* src/RxThread.java
	
2004-03-14 Alain Magloire

	Break the ChangeLog file in two.

	* ChangeLog
	* ChangeLog-2003

2004-03-14 Alain Magloire

	The Managers extends Manager class for more flexibility

	* cdi/org/eclipse/cdt/debug/mi/core/cdi/Manager.java

2004-03-12 Tanya Wolff

	Marked strings as non-translatable and externalized strings in new exceptions thrown.
	
	* cdi/
	* src/
	
2004-03-12 Tanya Wolff

	Marked strings as non-translatable.
	
	* mi/

2004-03-01 Alain Magloire

	Reog. New source browser.
	Move the classes to the appropriate categories.

	* mi/
	* cdi/

2004-02-19 Alain Magloire
	
	PR #52317
	The children were added in the wrong order.

	* src/org/eclipse/cdt/debug/mi/core/GDBTypeParser.java

2004-02-17 Alain Magloire

	If we attach save the PID for later
	for example to be able to suspend.

	* src/org/eclipse/cdt/debug/mi/core/MIInferior.java
	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-02-11 Alain Magloire

	Use String.endsWith("(gdb)") to detect the prompt.
	Sometimes gdb does not flush the endline.

	* src/org/eclipse/cdt/debug/mi/core/MIPlugin.java

2004-01-30 Alain Magloire

	Allow the clients to override the interrupt.

	* src/org/eclipse/cdt/debug/mi/core/MIInferior.java
	* src/org/eclipse/cdt/debug/mi/core/TxThread.java
	* src/org/eclipse/cdt/debug/mi/core/command/CommandFactory.java
	* src/org/eclipse/cdt/debug/mi/core/command/MICommand.java

2004-01-29 Alain Magloire

	The CDT debug ui prefers things to be in ascending
	number. It makes life easier so we comply.

	* src/org/eclipse/cdt/debug/mi/core/output/MIInfoThreadsInfo.java

2004-01-28 Alain Magloire

	Some clients using MI need to have access to thoes
	methods change the scope for protected.

	* src/org/eclipse/cdt/debug/mi/core/cdi/model/Value.java
	* src/org/eclipse/cdt/debug/mi/core/command/CLICommand.java
	* src/org/eclipse/cdt/debug/mi/core/output/MIInfoThreadsInfo.java

2004-01-22 Alain Magloire

	Cache the stackframes when we become suspended, to reduce
	the chat between gdb.

	* src/org/eclipse/cdt/debug/mi/core/cdi/model/Thread.java

